LaTeXML::Core::Parameters(3)

NAME
"LaTeXML::Core::Parameters" - formal parameters.

DESCRIPTION
Provides a representation for the formal parameters of LaTeXML::Core::Definitions: It extends LaTeXML::Common::Object.

  METHODS

"@parameters = $parameters->getParameters;"
    Return the list of "LaTeXML::Core::Parameter" contained in $parameters.

"@tokens = $parameters->revertArguments(@args);"
    Return a list of LaTeXML::Core::Token that would represent the arguments such that they can be parsed by the Gullet.

"@args = $parameters->readArguments($gullet,$fordefn);"
    Read the arguments according to this $parameters from the $gullet. This takes into account any special forms of arguments, such as optional, delimited, etc.

"@args = $parameters->readArgumentsAndDigest($stomach,$fordefn);"
    Reads and digests the arguments according to this $parameters, in sequence. this method is used by Constructors.

SEE ALSO
LaTeXML::Core::Parameter.

AUTHOR
Bruce Miller <bruce.miller@nist.gov>

COPYRIGHT
Public domain software, produced as part of work done by the United States Government & not subject to copyright in the US.